{% extends 'base.html' %}
{% load static %}
{% block title %}Problem 026 {% endblock title %}
{% block content %}
  <main>
    <!--
      In this one, we're constructing a table. Pay
      attention to all of it because pieces will
      disappear over the next couple of problems.

      Now, you need to add the for loop, the table
      row (tr) tag, the table data (td) tags for
      each row, and the table body (tbody) tag.

      This context has a list of Person objects stored
      in the "people" key.
    -->
    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Age</th>
          <th>Pronouns</th>
        </tr>
      </thead>
      <!-- The open table body tag -->
        <tbody>
        <!-- for each person in people -->
            {% for person in people %}
          <!-- Just the table row open tag -->
            <tr>
            <!-- The table data tag with the person.name in it -->
            <td>{{ person.name }}</td>
            <!-- The table data tag with the person.age in it -->
            <td>{{ person.age }}</td>
            <!-- The table data tag with the person.pronouns in it -->
            <td>{{ person.pronouns }}</td>
          <!-- Just the table row close tag -->
            </tr>
        <!-- end for -->
            {% endfor %}
        <!-- The close table body tag -->
        </tbody>
    </table>
  </main>
{% endblock content %}

